跳转到正文
皓量云擎文档
接口参考监控、告警与通知

查询告警事件

GET /api/v1/monitoring/alerts,listMonitoringAlerts 的请求参数和响应结构。

GET /api/v1/monitoring/alerts

项目内容
操作标识listMonitoringAlerts
认证登录会话 Cookie

请求参数

名称位置必填类型说明与约束
pagequery否integer最小值 1;默认 1
page_sizequery否integer最小值 1;最大值 100;默认 20
tenant_idquery否string格式:uuid
keywordquery否string—
statequery否string—

响应

HTTP 状态含义
200成功
400参数错误
401登录无效或已撤销
403权限、范围或 CSRF 校验失败
404记录不存在
409引用或唯一性冲突
429请求过于频繁
503数据库未配置或不可用
200 · application/json 响应结构
字段类型必填说明与约束
dataMonitoringAlert[]是—
request_idstring是—
metaPageInfo是—
{
  "$ref": "#/$defs/MonitoringAlertListResponse",
  "$defs": {
    "MonitoringAlertListResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MonitoringAlert"
          }
        },
        "request_id": {
          "type": "string"
        },
        "meta": {
          "$ref": "#/$defs/PageInfo"
        }
      },
      "required": [
        "data",
        "request_id",
        "meta"
      ]
    },
    "MonitoringAlert": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "rule_id": {
          "type": "string",
          "format": "uuid"
        },
        "tenant_id": {
          "type": "string",
          "format": "uuid",
          "nullable": true
        },
        "rule_name": {
          "type": "string"
        },
        "target_id": {
          "type": "string",
          "format": "uuid"
        },
        "target_name": {
          "type": "string"
        },
        "target_type": {
          "type": "string"
        },
        "metric": {
          "type": "string"
        },
        "severity": {
          "type": "string"
        },
        "threshold": {
          "type": "number"
        },
        "value": {
          "type": "number",
          "nullable": true
        },
        "condition_since": {
          "type": "string",
          "format": "date-time"
        },
        "state": {
          "type": "string",
          "enum": [
            "pending",
            "firing",
            "resolved"
          ]
        },
        "acknowledged": {
          "type": "boolean"
        },
        "note": {
          "type": "string"
        },
        "history": {
          "type": "array",
          "items": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "actor": {
                "type": "string"
              },
              "note": {
                "type": "string"
              },
              "action": {
                "type": "string"
              },
              "at": {
                "type": "string",
                "format": "date-time"
              }
            },
            "required": [
              "actor",
              "note",
              "action",
              "at"
            ]
          }
        },
        "fired_at": {
          "type": "string",
          "format": "date-time",
          "nullable": true
        },
        "resolved_at": {
          "type": "string",
          "format": "date-time",
          "nullable": true
        },
        "last_sample_at": {
          "type": "string",
          "format": "date-time",
          "nullable": true
        },
        "last_seen": {
          "type": "string",
          "format": "date-time"
        },
        "resolution": {
          "type": "string"
        },
        "created_at": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "id",
        "rule_id",
        "tenant_id",
        "rule_name",
        "target_id",
        "target_name",
        "target_type",
        "metric",
        "severity",
        "threshold",
        "value",
        "condition_since",
        "state",
        "acknowledged",
        "note",
        "history",
        "fired_at",
        "resolved_at",
        "last_sample_at",
        "last_seen",
        "resolution",
        "created_at"
      ]
    },
    "PageInfo": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "page": {
          "type": "integer",
          "minimum": 1
        },
        "page_size": {
          "type": "integer",
          "minimum": 1,
          "maximum": 100
        },
        "total": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "page",
        "page_size",
        "total"
      ]
    }
  }
}
400 / 401 / 403 / 404 / 409 / 429 / 503 · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录